Campaigns Information
http
GET /api/advert/v3/advertsBase URL: https://advert-api.wildberries.ru · Module: promotion · Section: Campaigns · Specification doc ↗
The method returns information about campaigns with a standard or custom bid by their statuses, payment types, or list of IDs. To get all campaigns:
- Make the first request without the
nextparameter. - Repeat the request with the value of the
nextparameter from the previous response untilnextreturns an empty value"". This means you have got all campaigns. To get specific campaigns, pass their IDs in theadvertIdsparameter. Do not useadvertIdsin the same request with other parameters.
Request limit per one seller account:
| Period | Limit | Interval | Burst |
|---|---|---|---|
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
advertIds | query | string | no | Campaign IDs |
statuses | query | string | no | Campaign statuses: - 4 — ready to be launched - 7 — completed - 9 — active - 11 — paused |
next | query | string | no | Pagination parameter |
limit | query | integer<int64> | no | Number of campaigns in the response |
paymentType | query | string | no | Payment type: - cpm — cost per mille - cpc — cost per click |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | V3GetAdvertsResponse |
400 | Bad request | response400 |
401 | Unauthorized | object |
429 | Too many requests | object |
Structure 200:
advertsV3GetAdverts[]— CampaignsadvertIdinteger<int64>— Campaign IDstatusinteger<int64>=4|7|9|11— Campaign status: -4— ready to be launched -7— completed -9— active -11— campaign is pausedtimestampsTimestampscreatedstring— Campaign create timeupdatedstring— Campaign last update timestartedstring— Campaign launch timeendedstring— Campaign ended time
settingsV3AdvertSettingspaymentTypestring— Payment type: -cpm— cost per mille -cpc— cost per clicknamestring— Campaign nameplacementsobject
nmsV3AdvertNMsSettings[]— Item settingsnmIdinteger<int64>— WB item numbersubjectV3AdvertSubjectidinteger<int64>— Subcategory IDnamestring— Subcategory name
bidsV3AdvertBidsKopecks[]— BidstypeV3Placementsvalueinteger<int64>— Bid in recommendations
currencystring<ISO 4217>— Currency coderestrictionsobject— Campaign restrictionscanChangeNmsboolean— Whether the list of campaign items can be changed: -true— yes -false— no
nextstring— Pagination parameter. Specify this value in the request to get the next batch of campaigns. If the field is empty"", you received all the campaigns
Structure 400:
detailstring— Error detailsoriginstring— WB internal service IDrequest_idstring— Unique request IDstatusinteger<int64>— HTTP status codetitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi
cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))
result = api.get_v3_adverts(advert_ids=..., statuses=..., next=..., limit=..., payment_type=...)
print(result)ts
import {
Configuration,
PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);
const { data } = await api.getV3Adverts(advertIds, statuses, next, limit, paymentType);
console.log(data);go
import (
"context"
"fmt"
wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)
cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)
result, _, err := client.PromotionAPI.GetV3Adverts(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);
System.out.println(api.getV3Adverts(advertIds, statuses, next, limit, paymentType));php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);
print_r($api->getV3Adverts());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);
Сообщить(Клиент.GetV3Adverts().Тело);csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);
Console.WriteLine(api.GetV3Adverts());rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = promotion_api::get_v3_adverts(&cfg, advert_ids, statuses, next, limit, payment_type).await;
println!("{:#?}", result);
}